<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>

</head>
<body>
    <div id = "app">
        <input type="radio" id="animal" value="animal" v-model="loveType">
        <label for="animal">animal</label>
        <input type="radio" id="flower" value="flower" v-model="loveType">
        <label for="flower">Flower</label><br>

        <template v-if="isLoveTypeAnimal">
            <div>
                <input type="checkbox" id="dog" value="dog" v-model="loveList">
                <label for="dog">Dog</label>
                <input type="checkbox" id="cat" value="cat" v-model="loveList">
                <label for="cat">Cat</label>
                <input type="checkbox" id="fish" value="fish" v-model="loveList">
                <label for="fish">Fish</label>
            </div>
        </template>

        <template v-else-if="isLoveTypeFlower">
            <div>
                <input type="checkbox" id="rose" value="rose" v-model="loveList">
                <label for="rose">Rose</label>
                <input type="checkbox" id="lotus" value="lotus" v-model="loveList">
                <label for="lotus">Lotus</label>
                <input type="checkbox" id="mali" value="mali" v-model="loveList">
                <label for="mali">Mali</label>
            </div>
        </template>

        <template v-else>
            <div>
                Please select one!!
            </div>
        </template>

        <span>Love Type: {{ loveType }}</span><br>
        <span>Love List: <span v-if="loveList.length==0"> Nothing</span></span>
        <ul>
            <li v-for="love in loveList">
                {{love}}
            </li>
        </ul>
        <span>Love List Length:{{ getLoveListLength }}</span>

        
    </div>
    <script>
        var app = new Vue({
            el: '#app',
            data:{
                loveType: '',
                loveList: [],
            },
            computed: {
                getLoveListLength:function(){
                    return this.loveList.length;
                },
                isLoveTypeAnimal: function(){
                    return this.loveType=='animal';
                },
                isLoveTypeFlower: function(){
                    return this.loveType=='flower'
                }
            },
            watch: {
                loveType: function(newValue, oldValue){
                    this.loveList = [];
                }
            },
        })
    </script>
</body>
</html>